import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router'

// FontAwesome 配置
import { library } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { config } from '@fortawesome/fontawesome-svg-core'
import '@fortawesome/fontawesome-svg-core/styles.css'

// 导入所有图标
import { 
  faCode, faExchangeAlt, faClock, faGlobe, faLink, faLock, 
  faImage, faCogs, faFileCode, faKey, faFont, 
  faCalendarAlt, faPalette, faEdit, faRuler, faNetworkWired,
  faEraser, faCalculator, faFileAlt, faStar, faSearch, 
  faTimes, faChevronDown, faBook, faCloud, faBell, 
  faExternalLinkAlt, faCopy, faCheck, faCompress, faExpand,
  faTrash, faSync, faFolderOpen, faFolder, faSpinner,
  faSave, faHistory, faEdit as faEditIcon, faTrashAlt,
  faSun, faMoon, faHome, faArrowLeft, faArrowUp, faClipboard,
  faStamp, faDownload, faEye, faInfoCircle, faExclamationTriangle
} from '@fortawesome/free-solid-svg-icons'

import { faStar as farStar } from '@fortawesome/free-regular-svg-icons'
import { faGithub } from '@fortawesome/free-brands-svg-icons'

// 阻止Font Awesome自动插入CSS，避免闪烁
config.autoAddCss = false

// 添加图标到库
library.add(
  faCode, faExchangeAlt, faClock, faGlobe, faLink, faLock, 
  faImage, faCogs, faFileCode, faKey, faFont, 
  faCalendarAlt, faPalette, faEdit, faRuler, faNetworkWired,
  faEraser, faCalculator, faFileAlt, faStar, faSearch, 
  faTimes, faChevronDown, faBook, faCloud, faBell, 
  faExternalLinkAlt, faCopy, faCheck, faCompress, faExpand,
  faTrash, faSync, faFolderOpen, faFolder, faSpinner,
  faSave, faHistory, faEditIcon, faTrashAlt,
  faSun, faMoon, faHome, faArrowLeft, faArrowUp, faClipboard,
  faStamp, faDownload, faEye, faInfoCircle, faExclamationTriangle,
  farStar, faGithub
)

const app = createApp(App)

app.use(router)
app.component('FontAwesomeIcon', FontAwesomeIcon)

app.mount('#app')
